package cn.com.countrygarden.bi.main.model.performance;

import java.util.Date;

/**
 * 绩效指标权重
 *
 * @author Max Date:2018/10/10
 * @version 1.0
 * @since 1.8
 */
public class PerformanceWeight {
    private Long weightId;//指标权重id

    private Long elementId;//指标id

    private String type;//城市公司类型

    private Double weight;//指标对应权重值

    private String frequency;//考核评率

    private Integer year;//年

    private Integer quarterly;//季度

    private Short isDelete;//是否删除 0 未删除 1 已删除

    private Date createdDate;//创建日期

    private String createdBy;//创建人

    private Date updateDate;//更新日期

    private String updateBy;//更新人

    public PerformanceWeight(Long elementId, String type,Integer year,Integer quarterly){
        this.elementId = elementId;
        this.type = type;
        this.year = year;
        this.quarterly = quarterly;
    }

    public PerformanceWeight(Long weightId, Long elementId, String type, Double weight, String frequency, Integer year, Integer quarterly, Short isDelete, Date createdDate, String createdBy, Date updateDate, String updateBy) {
        this.weightId = weightId;
        this.elementId = elementId;
        this.type = type;
        this.weight = weight;
        this.frequency = frequency;
        this.year = year;
        this.quarterly = quarterly;
        this.isDelete = isDelete;
        this.createdDate = createdDate;
        this.createdBy = createdBy;
        this.updateDate = updateDate;
        this.updateBy = updateBy;
    }

    public PerformanceWeight() {
        super();
    }

    public Long getWeightId() {
        return weightId;
    }

    public void setWeightId(Long weightId) {
        this.weightId = weightId;
    }

    public Long getElementId() {
        return elementId;
    }

    public void setElementId(Long elementId) {
        this.elementId = elementId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type == null ? null : type.trim();
    }

    public Double getWeight() {
        return weight;
    }

    public void setWeight(Double weight) {
        this.weight = weight;
    }

    public String getFrequency() {
        return frequency;
    }

    public void setFrequency(String frequency) {
        this.frequency = frequency == null ? null : frequency.trim();
    }

    public Integer getYear() {
        return year;
    }

    public void setYear(Integer year) {
        this.year = year;
    }

    public Integer getQuarterly() {
        return quarterly;
    }

    public void setQuarterly(Integer quarterly) {
        this.quarterly = quarterly;
    }

    public Short getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Short isDelete) {
        this.isDelete = isDelete;
    }

    public Date getCreatedDate() {
        return createdDate;
    }

    public void setCreatedDate(Date createdDate) {
        this.createdDate = createdDate;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy == null ? null : createdBy.trim();
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy == null ? null : updateBy.trim();
    }
}